.nav__site {
  @apply bg-gray-900;

  .nav-desktop {
    @apply max-w-7xl;
    @apply mx-auto;
    @apply px-2;
    @screen sm {
      @apply px-6;
    }
    @screen lg {
      @apply px-8;
    }
    .nav-inner {
      @apply relative;
      @apply flex;
      @apply items-center;
      @apply justify-between;
      @apply h-16;

      .nav-mobile-menu {
        @apply absolute;
        @apply inset-y-0;
        @apply left-0;
        @apply flex;
        @apply items-center;
        @screen sm {
          @apply hidden;
        }
      }

      .nav-brand {
        @apply flex-1;
        @apply flex;
        @apply items-center;
        @apply justify-center;
        @screen sm {
          @apply items-stretch;
          @apply justify-start;
        }

        .brand-title {
          @apply text-white;
          @apply text-xl;
          @apply font-bold;
        }

        .brand-next {
          @apply bg-gradient-to-r;
          @apply font-mono;
          @apply font-bold;
          @apply from-purple-700;
          @apply ml-3;
          @apply px-2;
          @apply rounded-2xl;
          @apply text-white;
          @apply to-purple-800;
        }
      }

      .nav-link-container {
        @apply absolute;
        @apply inset-y-0;
        @apply right-0;
        @apply flex;
        @apply items-center;
        @apply pr-2;
        @screen sm {
          @apply static;
          @apply inset-auto;
          @apply ml-6;
          @apply pr-0;
        }

        .nav-links {
          @apply flex;
          @apply space-x-4;

          .nav-link {
            @apply text-gray-300;
            @apply px-3;
            @apply py-2;
            @apply rounded-md;
            @apply text-sm;
            @apply font-medium;

            &:hover,
            &:focus {
              @apply bg-gray-700;
              @apply text-white;
            }
          }
        }

        .nav-icon {
          @apply px-3;
          @apply py-2;
          @apply rounded-md;
          @apply flex;

          &:hover,
          &:focus {
            @apply bg-gray-700;
          }
        }
      }
    }
  }
}
